Bug 1307216 - (sebastian/code-unit-reverse-lookup) Review Request: php-sebastian-code-unit-reverse-lookup - Looks up which function or method a line of code belongs to
Review Request: php-sebastian-code-unit-reverse-lookup - Looks up which funct...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 03:05 EST by Remi Collet
Modified: 2016-02-22 10:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 10:17:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.php (2.63 KB, text/plain)
2016-02-22 07:52 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.php (2.24 KB, text/plain)
2016-02-22 07:52 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.69 KB, text/plain)
2016-02-22 07:53 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-02-13 03:05:33 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/a8823e71c9e9759c4e02da60d2285836ba3079e8/php/phpunit/php-sebastian-code-unit-reverse-lookup/php-sebastian-code-unit-reverse-lookup.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-sebastian-code-unit-reverse-lookup-1.0.0-1.remi.src.rpm
Description: 
Looks up which function or method a line of code belongs to.

Fedora Account System Username: remi

-- 

New dependency of PHPUnit 5.2.5
Comment 1 Shawn Iwinski 2016-02-22 07:52 EST
Created attachment 1129298 [details]
phpcompatinfo-full.php

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET
Comment 2 Shawn Iwinski 2016-02-22 07:52 EST
Created attachment 1129299 [details]
phpcompatinfo-lib.php

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET
Comment 3 Shawn Iwinski 2016-02-22 07:53 EST
Created attachment 1129301 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1307216
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2016-02-22 07:54:44 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[x]: Requires correct, justified where necessary.

     Should BuildRequires virtual pkg "php-composer(theseer/autoload)"
     instead of file "%{_bindir}/phpab"



No blockers.

===== APPROVED =====
Comment 5 Gwyn Ciesla 2016-02-22 09:42:37 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-sebastian-code-unit-reverse-lookup
Comment 6 Remi Collet 2016-02-22 10:17:37 EST
Only needed for PHPUnit 5.2, no plan to build in other branch than rawhide.

Note You need to log in before you can comment on or make changes to this bug.